Bug 117141 - SharePoint directory list in Calc loses all hyperlinks pointing to the files
Summary: SharePoint directory list in Calc loses all hyperlinks pointing to the files
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SharePoint-List Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2018-04-21 12:00 UTC by Gabor Kelemen (allotropia)
Modified: 2021-11-07 04:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-04-21 12:00:35 UTC
LibreOffice loses hyperlinks to listed files in SharePoint server.

Steps to reproduce:
1. Open a SharePoint directory in Internet Explorer.
2. Export the directory list into Excel.
3. Open and process the .igy file with Calc.
4. Save the sheet into .ods format.  (see attachment #141517 [details] )
5. Open and process the .igy file with Excel.
6. Save the sheet into .xlsx format. (see  attachment #141516 [details] )

Actual results:
LibreOffice Calc doesn't have any hyperlinks to files (attachment #141517 [details]).
Microsoft Excel has hyperlinks to all files (attachment #141518 [details] ).

Expected results:
LibreOffice Calc should keep the hyperlinks to the files.
Comment 1 Gabor Kelemen (allotropia) 2018-04-21 12:07:54 UTC
(In reply to Gabor Kelemen from comment #0)
> 
> Actual results:
> LibreOffice Calc doesn't have any hyperlinks to files (attachment #141517 [details]
> [details]).

Wrong paste, I wanted to refer attachment #141519 [details] here.
Comment 2 Mike Kaganski 2018-04-23 13:06:57 UTC
Just a note: the SharePoint XML which is pointed from .IQY (Internet Query) file does not contain any links or other formatting. It's just a data XML in ADO format. Excel does further SharePoint communications to request more data; and its formatting isn't some property of the list, but a representation of the data decided by Excel.
Comment 3 raal 2018-05-04 13:40:23 UTC
repro with LO Version: 6.1.0.0.alpha1+
    Build ID: f154f63cb662f02415d5cb0051011bdb5d0d523c
SharePoint 2013
Comment 4 QA Administrators 2019-11-07 03:35:37 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2021-11-07 04:22:49 UTC
Dear Gabor Kelemen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug